Bug 30025 - Problem editing or selecting text containing ligatures
Summary: Problem editing or selecting text containing ligatures
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Text (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2009-10-02 12:15 PDT by Frank Illenberger
Modified: 2009-10-29 14:29 PDT (History)
5 users (show)

See Also:


Attachments
Example showing weird editing and selection behavior if ligatures are rendered (322 bytes, text/html)
2009-10-02 12:15 PDT, Frank Illenberger
no flags Details
Core Text part of the patch, with test (13.41 KB, patch)
2009-10-23 14:34 PDT, mitz
no flags Details | Formatted Diff | Diff
Patch with test (15.84 KB, patch)
2009-10-29 14:06 PDT, mitz
sam: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Frank Illenberger 2009-10-02 12:15:45 PDT
Created attachment 40538 [details]
Example showing weird editing and selection behavior if ligatures are rendered

If the new CSS text-rendering property is set to "geometricPrecision" and ligatures are rendered, it is not possible to edit or select single characters/glyhps.
Comment 1 Sam Weinig 2009-10-02 12:25:32 PDT
<rdar://problem/7271825>
Comment 2 mitz 2009-10-23 14:34:23 PDT
Created attachment 41749 [details]
Core Text part of the patch, with test
Comment 3 mitz 2009-10-29 14:06:30 PDT
Created attachment 42142 [details]
Patch with test
Comment 4 mitz 2009-10-29 14:29:13 PDT
Fixed in <http://trac.webkit.org/projects/webkit/changeset/50301>.